List vector tables.
get
/vecdb/vector-tables/
Returns all vector tables available to the caller.
Request
There are no request parameters for this operation.
There's no request body for this operation.
Security
-
BasicAuth: http
Type:
http -
BearerAuth: http
Type:
http -
OAuth2: oauth2
Type:
oauth2
Response
Supported Media Types
- application/json
200 Response
List of vector tables.
Nested Schema : VecDBTableNoLinks
Type:
Show Source
object-
annotations: object
annotations
User metadata attached to the table.
-
auto_generate_id: integer
Whether the ID column of the table should be auto generated. Defaults to false.
-
created: string
(date-time)
Creation timestamp of the vector table.
-
dense_idx_name: string
The name of the vector index associated to the vector table.
-
description: string
Description of the vector table
-
embed_params:
embed_params
Embedding model configuration (MODEL tables).
-
index_params: object
index_params
Index configuration for the table.
-
owner: string
-
stats: object
stats
Statistics of the vector table
-
status: string
Population status of the vector table.
-
table_name: string
The name of the table
-
updated: string
(date-time)
Creation timestamp of the vector table.
-
vector_table_type: string
Allowed Values:
[ "BYOV", "MODEL" ]Creation mode of the table. -
vector_type: string
Allowed Values:
[ "dense" ]
Nested Schema : annotations
Type:
objectUser metadata attached to the table.